net.sf.jlinkgrammar

## Class PPLexTable

- java.lang.Object
- - net.sf.jlinkgrammar.PPLexTable

-     public class PPLexTable
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PPLabelNode` | `current_node_of_active_label` state: current node of label
    `int` | `idx_of_active_label` read state: current label
    `java.lang.String[]` | `labels` array of labels (null-terminated)
    `PPLabelNode[]` | `last_node_of_label` efficiency
    `PPLabelNode[]` | `nodes_of_label` str.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPLexTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_set_of_strings_to_label(java.lang.String label_of_set)` add the set of strings, defined earlier by label_of_set, to the set of strings associated with the current label
    `void` | `add_string_to_label(java.lang.String str)` add the single string str to the set of strings associated with label
    `(package private) static void` | `check_string(java.lang.String str)`
    `int` | `pp_lexer_count_commas_of_label()`
    `int` | `pp_lexer_count_tokens_of_label()` counts all tokens, even the commas
    `java.lang.String[]` | `pp_lexer_get_next_group_of_tokens_of_label()` all tokens until next comma, null-terminated
    `java.lang.String` | `pp_lexer_get_next_token_of_label()` retrieves next token of set label, or null if list exhausted
    `boolean` | `pp_lexer_set_label(java.lang.String label)` post processor set lexer state to first node of this label
    `void` | `set_label(java.lang.String label)`
    `void` | `yylex(PPKnowledge ppknowledge, java.io.Reader f)` Reads a knowledge object into a table for use by other methods.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### labels

          public java.lang.String[] labels

      array of labels (null-terminated)

    - #### nodes_of_label

          public PPLabelNode[] nodes_of_label

      str. for each label

    - #### last_node_of_label

          public PPLabelNode[] last_node_of_label

      efficiency

    - #### current_node_of_active_label

          public PPLabelNode current_node_of_active_label

      state: current node of label

    - #### idx_of_active_label

          public int idx_of_active_label

      read state: current label

  - ### Constructor Detail

    - #### PPLexTable

          PPLexTable()

  - ### Method Detail

    - #### pp_lexer_set_label

          public boolean pp_lexer_set_label(java.lang.String label)

      post processor set lexer state to first node of this label
      Parameters:
        `label` -
      Returns:
        false if get_index_of_label returns -1

    - #### pp_lexer_count_tokens_of_label

          public int pp_lexer_count_tokens_of_label()

      counts all tokens, even the commas

    - #### pp_lexer_get_next_token_of_label

          public java.lang.String pp_lexer_get_next_token_of_label()

      retrieves next token of set label, or null if list exhausted

    - #### set_label

          public void set_label(java.lang.String label)

      Parameters:
        `label` -

    - #### add_string_to_label

          public void add_string_to_label(java.lang.String str)

      add the single string str to the set of strings associated with label

    - #### add_set_of_strings_to_label

          public void add_set_of_strings_to_label(java.lang.String label_of_set)

      add the set of strings, defined earlier by label_of_set, to the set of strings associated with the current label

    - #### check_string

          static void check_string(java.lang.String str)

    - #### pp_lexer_get_next_group_of_tokens_of_label

          public java.lang.String[] pp_lexer_get_next_group_of_tokens_of_label()

      all tokens until next comma, null-terminated

    - #### pp_lexer_count_commas_of_label

          public int pp_lexer_count_commas_of_label()

    - #### yylex

          public void yylex(PPKnowledge ppknowledge,
                   java.io.Reader f)
                     throws java.io.IOException

      Reads a knowledge object into a table for use by other methods. Called by PPKnowledge.
      Parameters:
        `ppknowledge` -
        `f` -
      Throws:
        `java.io.IOException`